/*
 * COPYRIGHT (c) 2018 All rights reserved by HANWHA LIFE.
 */
package kr.co.zumo.app.lifeplus.view.fragment.signup;

import kr.co.zumo.app.lifeplus.view.Event;

/**
 * ISignUpHolderEventListener
 * <pre>
 * </pre>
 *
 * @author 민효동
 * @version 1.0
 * @history 민효동   [2018. 9. 14.]   [최초 작성]
 * @since 2018. 9. 14.
 */
public interface ISignUpHolderEventListener {
  void onSignUpHolderEvent(BaseViewHolder holder, int eventId, int type, String param);

  default void onSignUpHolderEvent(BaseViewHolder holder, int eventId, int type) {
    onSignUpHolderEvent(holder, eventId, type, null);
  }

  default void onSignUpHolderEvent(BaseViewHolder holder, int eventId) {
    onSignUpHolderEvent(holder, eventId, Event.NONE, null);
  }
}
